﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Area 클래스 : Marks 속성을 사용해 마커 회전시키기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Area area = new Area(this.tChart.Chart);

            area.Color             = Color.Red;
            area.AreaLines.Visible = false;
            area.Marks.Angle       = 90;
            area.Marks.Visible     = true;

            area.FillSampleValues(10);
        }

        #endregion
    }
}